Subject: Re: [Slim] script subtag as text medium indicator

From: "Doug Ewell" <[email-masked]>
Date: Fri, 25 Sep 2015 09:01:01 -0700

Gunnar Hellström wrote:

> The simple other cases are that you want your real-time calls in
> written language in a two-way text stream, or in sign language in a
> two-way video stream.

Sign languages are another reason not to try to use the script subtag or
absence thereof to indicate modality. American Sign Language would be
tagged "ase", Swedish Sign Language would be "swl", and certainly no
user could assume that the absence of script subtags means these are
spoken.

Suppress-Script does not mean that one can never, ever write "fr-Latn".
In some edge cases, there might be a good reason to state explicitly
that the content is written in the Latin script, as compared to, say, a
transcription into Arabic script. But overloading script subtags as an
implicit indicator of modality is fraught with peril.

--
Doug Ewell | http://ewellic.org | Thornton, CO 🇺🇸